import { fork } from 'redux-saga/effects';
import generic from 'store/generic';
import cms from 'store/cms';
// import paragraph from 'store/paragraph';

import account from 'store/account';
import settings from 'store/settings';
import genericApollo from 'store/genericApollo';
import list from 'store/list';
import error from 'store/error';

import bootupSaga from './bootup';

export default function* appSaga(): void {
  yield fork(bootupSaga);
  yield fork(account.saga);
  yield fork(generic.saga);
  yield fork(genericApollo.saga);
  yield fork(list.sagas);
  yield fork(cms.saga);
  yield fork(settings.saga);
  yield fork(error.sagas);
}
